module definitions

!================================================================!
!= In this module the type of needed variabels is defined.    =!
!=  For performance reasons the wanted number of neutrons in    =!
!=   the primary datafile is chosen here, otherwise allocatable    =!
!=   arrays would be needed which will slow down performance    =!
!================================================================!
implicit none
integer,parameter               :: nmax=500000,mfactor=1
real,parameter                  :: Ehydro=0.025,pi=3.14159
real,dimension(nmax,14)         :: results
real,dimension(mfactor*nmax,14) :: resultsm
real,dimension(3)               :: r,r_old,r_direc,r0_sphere,r_interb,r_inters1, &
                                   r_inters2,r_temp,r_direc_old,ccentrum,r_interc1, &
                                   r_interc2
real                            :: sigma,sigma1,sigma2,scattering_angle,E,E1, &
                                   Etermisk,tdistmax,dist,xmax,ymax,zmax,r_sphere, &
                                   tdist,u1,u2,u3,u4,cross,sigmaabs,czmax,czmin, &
                                   r_cylinder,h_cylinder,safezmax,impact_angle
integer                         :: posstatus,interside,interact,boundary,ioru, &
                                   ccheck,error,stuck,fail,imax,isotropic,pathc, &
                                   pathn,terror,berror,merror,mserror,k,i,n,l,l2,m, &
                                   mmax,seed1,seed2,seed3,seed4,seed5,seed6,seed7, &
                                   test,testdone,testdist,seed8,seed9,cylinder, &
                                   cylinder_v,flat,absorption,absorped,seed10
character(40)                   :: name

end module definitions